none
eMbedded Visual C++ 至 Visual Studio 2005 升級問題 RRS feed

  • 問題

  • MSDN中有提到Visual Studio 2005 具有升級精靈的功能,可將 eMbedded Visual C++ 3.0 和 eMbedded Visual C++ 4.0 專案移轉至 Visual Studio 2005。

    而我選擇至 eVC 專案所位於的目錄,選取 .vcw檔,此時移轉精靈會執行就地移轉程序,但在移轉過程中出現以下錯誤訊息,無法移轉 :

    沒有符合此專案檔之原始平台的可用平台。

    請問這是什麼原因造成的呢 ?

    謝謝

     

    2006年10月4日 下午 01:39

解答

  • HI

    您原來使用 eMbedded Visual C++ 3.0 和 eMbedded Visual C++ 4.0時是開發那一種平台的程式, 我原來開發Pocket PC 2003應用程式的eVC專案Migrate成VS2005的專案就很順利, 從訊息來看, 很像您的project所選擇的平台太舊, 在VS2005上選不到合適的平台可以對應所造成的

    tihs

    2006年10月7日 上午 08:16
  • Hi,

    我們的專案開發一定得用到WinCE的SDK,而目前已經找到問題了,原因為無法開啟的機器所安裝的SDK版本是4.0

    VS2005可能沒有支援,再加裝5.0的SDK後,即可順利開啟並建置成功,謝謝您的提醒&幫忙~ 感恩

    2006年10月19日 上午 08:11

所有回覆

  • HI

    您原來使用 eMbedded Visual C++ 3.0 和 eMbedded Visual C++ 4.0時是開發那一種平台的程式, 我原來開發Pocket PC 2003應用程式的eVC專案Migrate成VS2005的專案就很順利, 從訊息來看, 很像您的project所選擇的平台太舊, 在VS2005上選不到合適的平台可以對應所造成的

    tihs

    2006年10月7日 上午 08:16
  • 我的eVC是for WinCE 5.0的應用程式,VS2005是不是找不到呢 ?
    2006年10月9日 上午 02:41
  • HI,

    VS 2005有支援Windows CE 5.0, 您的eVC專案是否有用到特殊的功能?

    tihs

    2006年10月9日 上午 10:59
  • Hi,

    您說的特殊功能是指什麼呢 ? 可否舉個例子 謝謝~

    2006年10月11日 上午 05:54
  • HI,

    您在使用eVC 4開發程式的時候有沒有加裝特殊的SDK? 我自己的程式只加裝Pocket PC 2003 SDK, 和SmartPhone 2003 SDK, 這樣的專案可以成功被VS2005開啟

    tihs

    2006年10月12日 上午 01:58
  • Hi,

    我的PC只有安裝WinCE 5.0 SDK,而您剛剛說的Pocket PC 2003 SDK, 和SmartPhone 2003 SDK反而沒有裝,因為我們沒有使用這兩種平台開發

    2006年10月12日 上午 02:09
  • HI,

    不知道是不是WinCE 5.0 SDK的影響,  您的專案有用到WinCE 5.0 SDK的功能嗎? 或者您可以在安裝有VS 2005的電腦上安裝WinCE 5.0 SDK再試試看.

    tihs

    2006年10月14日 上午 03:04
  • Hi,

    我們的專案開發一定得用到WinCE的SDK,而目前已經找到問題了,原因為無法開啟的機器所安裝的SDK版本是4.0

    VS2005可能沒有支援,再加裝5.0的SDK後,即可順利開啟並建置成功,謝謝您的提醒&幫忙~ 感恩

    2006年10月19日 上午 08:11